<html>
<head>
	<meta charset="utf-8">
<title>Nahrajte CT||e-recept</title>
</head>
<body>
<form action="index.php" enctype="multipart/form-data" method="post">
Vyber súbor obrázka z disku:
<input type="file" name="file" required><br/>
<input type="submit" value="Nahraj" name="Submit1">
</form>
<?php
require_once("functions_incl.php");
if(isset($_POST['Submit1']))
{ 
$target_dir = "uploads/";
$target_file = $target_dir . basename($_FILES["file"]["name"]);
$extension = pathinfo($_FILES["file"]["name"], PATHINFO_EXTENSION);
$check = getimagesize($_FILES["file"]["tmp_name"]);
if(($extension=='jpg' || $extension=='jpeg' || $extension=='png' || $extension=='gif') && $check)
{ //proof of concept ezdravie, upload+cipher+decipher pictures, GPLv3 license, Mgr. Jan Hrubos
echo "Súbor je obrázok.<br/>";
echo "Typ súboru je = " . $extension."<br>";
if (file_exists($target_file) || file_exists($target_file.".enc")) {
  echo "Sorry, súbor už existuje v úložisku.<br>";
  exit(-1);
}else{
  if ($_FILES["file"]["size"] > 3145728) {
	echo "Sorry, nahrávaný súbor je príliš veľký. 3MB max!<br>";
    exit(-1);
	}else{
		//lets upload after checks
		
		if (move_uploaded_file($_FILES["file"]["tmp_name"], $target_file)) {
			echo "Súbor ". htmlspecialchars( basename( $_FILES["file"]["name"])). " nahraný do úložiska.";
			encryptFile($target_file);
			safeDeletion($target_file);
			//safeDeletion($target_file.'.enc');//remove this line, because it is protecting /uploads/ overloading
		  } else {
			echo "Sorry, vyskytla sa chyba pri nahrávaní súboru.<br>";
		  }}}}
else{
echo "Súbor nie je obrázok.<br>";
}}
?>
</body>
</html>
